<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref24.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::SymbolLookup::Scope::DECLARATION - Synopsis::SymbolLookup::ScopeDisplay::visit&#40;TemplateParameterScope*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::SymbolLookup::Scope::DECLARATION - Synopsis::SymbolLookup::ScopeDisplay::visit&#40;TemplateParameterScope*&#41;</h1><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mDECLARATION" /><h2 >Data member Synopsis::SymbolLookup::Scope::DECLARATION</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#DECLARATION" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#87">Synopsis/SymbolLookup/Scope.hh:87</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mDEFAULT" /><h2 >Data member Synopsis::SymbolLookup::Scope::DEFAULT</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#DEFAULT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#83">Synopsis/SymbolLookup/Scope.hh:83</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mELABORATE" /><h2 >Data member Synopsis::SymbolLookup::Scope::ELABORATE</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ELABORATE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#86">Synopsis/SymbolLookup/Scope.hh:86</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mLookupContext" /><h2 >Typedef Synopsis::SymbolLookup::Scope::LookupContext</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#LookupContext" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#82">Synopsis/SymbolLookup/Scope.hh:82</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#83">Synopsis/SymbolLookup/Scope.hh:83</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#84">Synopsis/SymbolLookup/Scope.hh:84</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#85">Synopsis/SymbolLookup/Scope.hh:85</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#86">Synopsis/SymbolLookup/Scope.hh:86</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#87">Synopsis/SymbolLookup/Scope.hh:87</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#130">Synopsis/SymbolLookup/Scope.hh:130</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#136">Synopsis/SymbolLookup/Scope.hh:136</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#139">Synopsis/SymbolLookup/Scope.hh:139</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#141">Synopsis/SymbolLookup/Scope.hh:141</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#50">Synopsis/SymbolLookup/Scopes.hh:50</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#72">Synopsis/SymbolLookup/Scopes.hh:72</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#92">Synopsis/SymbolLookup/Scopes.hh:92</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#94">Synopsis/SymbolLookup/Scopes.hh:94</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#124">Synopsis/SymbolLookup/Scopes.hh:124</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#155">Synopsis/SymbolLookup/Scopes.hh:155</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#186">Synopsis/SymbolLookup/Scopes.hh:186</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#188">Synopsis/SymbolLookup/Scopes.hh:188</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#203">Synopsis/SymbolLookup/Scopes.hh:203</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#205">Synopsis/SymbolLookup/Scopes.hh:205</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mSCOPE" /><h2 >Data member Synopsis::SymbolLookup::Scope::SCOPE</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#SCOPE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#84">Synopsis/SymbolLookup/Scope.hh:84</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mScope_l_r" /><h2 >Constructor Synopsis::SymbolLookup::Scope::Scope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#Scope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#89">Synopsis/SymbolLookup/Scope.hh:89</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mScopeTable" /><h2 >Typedef Synopsis::SymbolLookup::Scope::ScopeTable</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ScopeTable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#76">Synopsis/SymbolLookup/Scope.hh:76</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#149">Synopsis/SymbolLookup/Scope.hh:149</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mSymbolTable" /><h2 >Typedef Synopsis::SymbolLookup::Scope::SymbolTable</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#SymbolTable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#71">Synopsis/SymbolLookup/Scope.hh:71</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#148">Synopsis/SymbolLookup/Scope.hh:148</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mUSING" /><h2 >Data member Synopsis::SymbolLookup::Scope::USING</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#USING" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#85">Synopsis/SymbolLookup/Scope.hh:85</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_maccept_lScopeVisitor_S_r" /><h2 >Member function Synopsis::SymbolLookup::Scope::accept&#40;ScopeVisitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#accept_lScopeVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#97">Synopsis/SymbolLookup/Scope.hh:97</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mdeclare_lconst.PTree_mEncoding_A_cconst.Symbol_S_r" /><h2 >Synopsis::SymbolLookup::Scope::declare&#40;const PTree::Encoding&amp;&#44;const Symbol*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#107">Synopsis/SymbolLookup/Scope.hh:107</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mdeclare_scope_lconst.PTree_mNode_S_cScope_S_r" /><h2 >Synopsis::SymbolLookup::Scope::declare_scope&#40;const PTree::Node*&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#110">Synopsis/SymbolLookup/Scope.hh:110</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#153">Synopsis/SymbolLookup/Scope.hh:153</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mfind_lconst.PTree_mEncoding_A_cLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::Scope::find&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#130">Synopsis/SymbolLookup/Scope.hh:130</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mfind_scope_lconst.PTree_mEncoding_A_cconst.Symbol_S_rconst" /><h2 >Synopsis::SymbolLookup::Scope::find_scope&#40;const PTree::Encoding&amp;&#44;const Symbol*&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#122">Synopsis/SymbolLookup/Scope.hh:122</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mfind_scope_lconst.PTree_mNode_S_rconst" /><h2 >Synopsis::SymbolLookup::Scope::find_scope&#40;const PTree::Node*&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#119">Synopsis/SymbolLookup/Scope.hh:119</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mglobal_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Scope::global_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#global_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#95">Synopsis/SymbolLookup/Scope.hh:95</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mlookup_lconst.PTree_mEncoding_A_cLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::Scope::lookup&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#136">Synopsis/SymbolLookup/Scope.hh:136</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mmy_refcount" /><h2 >Data member Synopsis::SymbolLookup::Scope::my_refcount</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#my_refcount" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#150">Synopsis/SymbolLookup/Scope.hh:150</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#90">Synopsis/SymbolLookup/Scope.hh:90</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ref_l_r" >Synopsis::SymbolLookup::Scope::ref&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#91">Synopsis/SymbolLookup/Scope.hh:91</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ref_l_rconst" >Synopsis::SymbolLookup::Scope::ref&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#92">Synopsis/SymbolLookup/Scope.hh:92</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#unref_l_rconst" >Synopsis::SymbolLookup::Scope::unref&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mmy_scopes" /><h2 >Data member Synopsis::SymbolLookup::Scope::my_scopes</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#my_scopes" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#149">Synopsis/SymbolLookup/Scope.hh:149</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#102">Synopsis/SymbolLookup/Scope.hh:102</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scopes_begin_l_rconst" >Synopsis::SymbolLookup::Scope::scopes_begin&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#103">Synopsis/SymbolLookup/Scope.hh:103</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scopes_end_l_rconst" >Synopsis::SymbolLookup::Scope::scopes_end&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#155">Synopsis/SymbolLookup/Scope.hh:155</a>: in Synopsis::SymbolLookup::Scope::declare_scope&#40;const PTree</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mmy_symbols" /><h2 >Data member Synopsis::SymbolLookup::Scope::my_symbols</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#my_symbols" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#148">Synopsis/SymbolLookup/Scope.hh:148</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#99">Synopsis/SymbolLookup/Scope.hh:99</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbols_begin_l_rconst" >Synopsis::SymbolLookup::Scope::symbols_begin&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#100">Synopsis/SymbolLookup/Scope.hh:100</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbols_end_l_rconst" >Synopsis::SymbolLookup::Scope::symbols_end&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mouter_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Scope::outer_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#outer_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#94">Synopsis/SymbolLookup/Scope.hh:94</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mqualified_lookup_lconst.PTree_mEncoding_A_cLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::Scope::qualified_lookup&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#140">Synopsis/SymbolLookup/Scope.hh:140</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mref_l_r" /><h2 >Member function Synopsis::SymbolLookup::Scope::ref&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ref_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#90">Synopsis/SymbolLookup/Scope.hh:90</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#155">Synopsis/SymbolLookup/Scope.hh:155</a>: in Synopsis::SymbolLookup::Scope::declare_scope&#40;const PTree</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mref_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Scope::ref&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ref_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#91">Synopsis/SymbolLookup/Scope.hh:91</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mremove_lconst.Symbol_S_r" /><h2 >Member function Synopsis::SymbolLookup::Scope::remove&#40;const Symbol*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#remove_lconst.Symbol_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#133">Synopsis/SymbolLookup/Scope.hh:133</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mremove_scope_lconst.PTree_mNode_S_r" /><h2 >Synopsis::SymbolLookup::Scope::remove_scope&#40;const PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#124">Synopsis/SymbolLookup/Scope.hh:124</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mscope_iterator" /><h2 >Typedef Synopsis::SymbolLookup::Scope::scope_iterator</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scope_iterator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#80">Synopsis/SymbolLookup/Scope.hh:80</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#102">Synopsis/SymbolLookup/Scope.hh:102</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#103">Synopsis/SymbolLookup/Scope.hh:103</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mscopes_begin_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Scope::scopes_begin&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scopes_begin_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#102">Synopsis/SymbolLookup/Scope.hh:102</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_mscopes_end_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Scope::scopes_end&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scopes_end_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#103">Synopsis/SymbolLookup/Scope.hh:103</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_msymbol_iterator" /><h2 >Typedef Synopsis::SymbolLookup::Scope::symbol_iterator</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbol_iterator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#79">Synopsis/SymbolLookup/Scope.hh:79</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#99">Synopsis/SymbolLookup/Scope.hh:99</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#100">Synopsis/SymbolLookup/Scope.hh:100</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_msymbols_begin_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Scope::symbols_begin&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbols_begin_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#99">Synopsis/SymbolLookup/Scope.hh:99</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_msymbols_end_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Scope::symbols_end&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbols_end_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#100">Synopsis/SymbolLookup/Scope.hh:100</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_munqualified_lookup_lconst.PTree_mEncoding_A_cLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::Scope::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#138">Synopsis/SymbolLookup/Scope.hh:138</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_munref_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Scope::unref&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#unref_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#92">Synopsis/SymbolLookup/Scope.hh:92</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#56">Synopsis/SymbolLookup/Scopes.hh:56</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#_tTemplateParameterScope_l_r" >Synopsis::SymbolLookup::TemplateParameterScope::~TemplateParameterScope&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#77">Synopsis/SymbolLookup/Scopes.hh:77</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#_tLocalScope_l_r" >Synopsis::SymbolLookup::LocalScope::~LocalScope&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#102">Synopsis/SymbolLookup/Scopes.hh:102</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#_tFunctionScope_l_r" >Synopsis::SymbolLookup::FunctionScope::~FunctionScope&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#134">Synopsis/SymbolLookup/Scopes.hh:134</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#_tPrototypeScope_l_r" >Synopsis::SymbolLookup::PrototypeScope::~PrototypeScope&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#163">Synopsis/SymbolLookup/Scopes.hh:163</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Class.html#_tClass_l_r" >Synopsis::SymbolLookup::Class::~Class&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#197">Synopsis/SymbolLookup/Scopes.hh:197</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#_tNamespace_l_r" >Synopsis::SymbolLookup::Namespace::~Namespace&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_muse_lconst.PTree_mUsingDirective_S_r" /><h2 >Synopsis::SymbolLookup::Scope::use&#40;const PTree::UsingDirective*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#116">Synopsis/SymbolLookup/Scope.hh:116</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope_m_tScope_l_r" /><h2 >Destructor Synopsis::SymbolLookup::Scope::~Scope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html#_tScope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#146">Synopsis/SymbolLookup/Scope.hh:146</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay" /><h2 >Class Synopsis::SymbolLookup::ScopeDisplay</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#45">Synopsis/SymbolLookup/Display.hh:45</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#69">Synopsis/SymbolLookup/Display.hh:69</a>: in Synopsis::SymbolLookup::display&#40;const Scope*&#44;std</li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#48">Synopsis/SymbolLookup/Display.hh:48</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#ScopeDisplay_lstd_mostream_A_r" >ScopeDisplay&#40;std::ostream&amp;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#49">Synopsis/SymbolLookup/Display.hh:49</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#_tScopeDisplay_l_r" >~ScopeDisplay&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#50">Synopsis/SymbolLookup/Display.hh:50</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#display_lconst.Scope_S_r" >display&#40;const Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#53">Synopsis/SymbolLookup/Display.hh:53</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lTemplateParameterScope_S_r" >visit&#40;TemplateParameterScope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#54">Synopsis/SymbolLookup/Display.hh:54</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lLocalScope_S_r" >visit&#40;LocalScope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#55">Synopsis/SymbolLookup/Display.hh:55</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lPrototypeScope_S_r" >visit&#40;PrototypeScope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#56">Synopsis/SymbolLookup/Display.hh:56</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lFunctionScope_S_r" >visit&#40;FunctionScope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#57">Synopsis/SymbolLookup/Display.hh:57</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lClass_S_r" >visit&#40;Class*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#58">Synopsis/SymbolLookup/Display.hh:58</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lNamespace_S_r" >visit&#40;Namespace*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#60">Synopsis/SymbolLookup/Display.hh:60</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#dump_lconst.Scope_S_r" >dump&#40;const Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#61">Synopsis/SymbolLookup/Display.hh:61</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#indent_l_r" >indent&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#63">Synopsis/SymbolLookup/Display.hh:63</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#my_os" >my_os</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#64">Synopsis/SymbolLookup/Display.hh:64</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#my_indent" >my_indent</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mScopeDisplay_lstd_mostream_A_r" /><h2 >Synopsis::SymbolLookup::ScopeDisplay::ScopeDisplay&#40;std::ostream&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#48">Synopsis/SymbolLookup/Display.hh:48</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mdisplay_lconst.Scope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::display&#40;const Scope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#display_lconst.Scope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#50">Synopsis/SymbolLookup/Display.hh:50</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#70">Synopsis/SymbolLookup/Display.hh:70</a>: in Synopsis::SymbolLookup::display&#40;const Scope*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mdump_lconst.Scope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::dump&#40;const Scope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#dump_lconst.Scope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#60">Synopsis/SymbolLookup/Display.hh:60</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mindent_l_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::indent&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#indent_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#61">Synopsis/SymbolLookup/Display.hh:61</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mmy_indent" /><h2 >Data member Synopsis::SymbolLookup::ScopeDisplay::my_indent</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#my_indent" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#64">Synopsis/SymbolLookup/Display.hh:64</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mmy_os" /><h2 >Data member Synopsis::SymbolLookup::ScopeDisplay::my_os</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#my_os" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#63">Synopsis/SymbolLookup/Display.hh:63</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lClass_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::visit&#40;Class*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lClass_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#57">Synopsis/SymbolLookup/Display.hh:57</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lFunctionScope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::visit&#40;FunctionScope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lFunctionScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#56">Synopsis/SymbolLookup/Display.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lLocalScope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::visit&#40;LocalScope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lLocalScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#54">Synopsis/SymbolLookup/Display.hh:54</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lNamespace_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::visit&#40;Namespace*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lNamespace_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#58">Synopsis/SymbolLookup/Display.hh:58</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lPrototypeScope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::visit&#40;PrototypeScope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lPrototypeScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#55">Synopsis/SymbolLookup/Display.hh:55</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lTemplateParameterScope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeDisplay::visit&#40;TemplateParameterScope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lTemplateParameterScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#53">Synopsis/SymbolLookup/Display.hh:53</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
